### Enumeration

# Phosh ModeDeviceType

#### Declaration

    enum Phosh.ModeDeviceType

#### Description [src]

A type of device.

#### Members

`PHOSH_MODE_DEVICE_TYPE_UNKNOWN`

  Unknown device type.

  - Value: `0`
  - Available since: 0
`PHOSH_MODE_DEVICE_TYPE_PHONE`

  A phone/handset.

  - Value: `1`
  - Available since: 0
`PHOSH_MODE_DEVICE_TYPE_LAPTOP`

  A laptop.

  - Value: `2`
  - Available since: 0
`PHOSH_MODE_DEVICE_TYPE_DESKTOP`

  A desktop computer.

  - Value: `3`
  - Available since: 0
`PHOSH_MODE_DEVICE_TYPE_TABLET`

  A tablet computer.

  - Value: `4`
  - Available since: 0
`PHOSH_MODE_DEVICE_TYPE_CONVERTIBLE`

  A convertible.

  - Value: `5`
  - Available since: 0